Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ProcessPushNotification

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.ProcessPushNotification

Enclosing class:
  TdApi

public static final class TdApi.ProcessPushNotification extends TdApi.Function<TdApi.Ok>
Handles a push notification. Returns error with code 406 if the push notification is not supported and connection to the server is required to fetch new data. Can be called before authorization.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`payload`
JSON-encoded push notification payload with all fields sent by the server, and "google.sentTime" and "google.notification.sound" fields added.

## Constructor Summary

Constructors
Constructor
Description
`ProcessPushNotification()`
Handles a push notification.
`ProcessPushNotification(DataInput input)`
Handles a push notification.
`ProcessPushNotification(String payload)`
Handles a push notification.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### payload

public String payload
JSON-encoded push notification payload with all fields sent by the server, and "google.sentTime" and "google.notification.sound" fields added.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ProcessPushNotification

public ProcessPushNotification()
Handles a push notification. Returns error with code 406 if the push notification is not supported and connection to the server is required to fetch new data. Can be called before authorization.

Returns `Ok`

### ProcessPushNotification

public ProcessPushNotification(String payload)
Handles a push notification. Returns error with code 406 if the push notification is not supported and connection to the server is required to fetch new data. Can be called before authorization.

Returns `Ok`

Parameters:
  `payload` - JSON-encoded push notification payload with all fields sent by the server, and "google.sentTime" and "google.notification.sound" fields added.

  Returns `Ok`

### ProcessPushNotification

public ProcessPushNotification(DataInput input) throws IOException
Handles a push notification. Returns error with code 406 if the push notification is not supported and connection to the server is required to fetch new data. Can be called before authorization.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`